summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Melik2017-05-24 18:25:55 +0200
committer Willy Sudiarto Raharjo2017-05-27 02:30:52 +0200
commit7b60aa6ffe37bb45338ec5a7ce216468bedabd5c (patch)
tree37be6b5bf7865ba8176e37249e08d54f662aa9f9
parentb9c568b942fdc12fbfb7100549e53433f9e7465d (diff)
downloadslackbuilds-7b60aa6ffe37bb45338ec5a7ce216468bedabd5c.tar.gz
games/tome-ah: Added (fantasy adventure game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/tome-ah/README12
-rw-r--r--games/tome-ah/doinst.sh3
-rw-r--r--games/tome-ah/slack-desc19
-rw-r--r--games/tome-ah/tome-ah.SlackBuild110
-rw-r--r--games/tome-ah/tome-ah.desktop8
-rw-r--r--games/tome-ah/tome-ah.info10
-rw-r--r--games/tome-ah/tome.pngbin0 -> 603 bytes
-rw-r--r--games/tome-ah/tome.sh6
8 files changed, 168 insertions, 0 deletions
diff --git a/games/tome-ah/README b/games/tome-ah/README
new file mode 100644
index 0000000000..3437ecaf2e
--- /dev/null
+++ b/games/tome-ah/README
@@ -0,0 +1,12 @@
+ToME-ah (AnonymousHero's ToME fork) is a game that emphasizes intricate,
+challenging, and varied gameplay over graphics. Hundreds of different monsters
+in randomly-generated, unpredictable dungeons will strive to slay you by
+various means, and you counter - if you survive - by developing the skills of
+your choice and wielding mighty artifacts.
+
+forum:
+http://forums.te4.org/viewforum.php?f=28&sid=2f757a7105dcbcd648ccf0c566334dc5
+Usenet newsgroup: nntp://rec.games.roguelike.angband
+
+You can install ToME-SX alongside other ToME 2 forks, but must back up, delete
+save folder (~/.tome) between different games.
diff --git a/games/tome-ah/doinst.sh b/games/tome-ah/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/tome-ah/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/tome-ah/slack-desc b/games/tome-ah/slack-desc
new file mode 100644
index 0000000000..e53c92c158
--- /dev/null
+++ b/games/tome-ah/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |--handy-ruler------------------------------------------------------|
+tome-ah: tome-ah (Tales of Middle Earth - a fantasy adventure game)
+tome-ah:
+tome-ah: ToME-ah (AnonymousHero's ToME fork) is a game that emphasizes
+tome-ah: intricate, challenging, and varied gameplay over graphics. Hundreds
+tome-ah: of different monsters in randomly-generated, unpredictable dungeons
+tome-ah: will strive to slay you by various means, and you counter - if you
+tome-ah: survive - by developing the skills of your choice and wielding
+tome-ah: mighty artifacts.
+tome-ah:
+tome-ah: project homepage: https://github.com/tome2/tome2
+tome-ah:
diff --git a/games/tome-ah/tome-ah.SlackBuild b/games/tome-ah/tome-ah.SlackBuild
new file mode 100644
index 0000000000..ec5351e555
--- /dev/null
+++ b/games/tome-ah/tome-ah.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for tome-ah
+
+# Copyright 2017, SlackBuilds.org Project, David Melik, Spokane, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tome-ah
+VERSION=${VERSION:-2.3.11_ah}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCVER=$(echo $VERSION | tr _ -)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf tome2-$SRCVER
+tar xvf $CWD/tome2-$SRCVER.tar.gz
+cd tome2-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr/share/games/$PRGNAM \
+ -DLIB_SUFFIX=/var/games/$PRGNAM \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DSYSTEM_INSTALL:BOOL=true ..
+ make
+ make install DESTDIR=$PKG
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+install -m 0755 $CWD/tome.sh $PKG/usr/share/games/$PRGNAM/bin/tome.sh
+mkdir -p $PKG/usr/games
+ln -fs /usr/share/games/$PRGNAM/bin/tome.sh $PKG/usr/games/$PRGNAM
+
+find $PKG -name "delete.me" | xargs rm -f
+find $PKG -name ".cvsignore" | xargs rm -f
+
+install -m 0644 -D $CWD/tome.png $PKG/usr/share/pixmaps/tome.png
+install -m 0644 -D $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUGS.txt changes.txt credits.txt $PKG/usr/share/games/$PRGNAM/lib/tome/help \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tome-ah/tome-ah.desktop b/games/tome-ah/tome-ah.desktop
new file mode 100644
index 0000000000..1ef47ed0d9
--- /dev/null
+++ b/games/tome-ah/tome-ah.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=ToME
+Comment=Dive into Arda and defeat Morgoth
+Exec=tome
+Terminal=true
+Type=Application
+Categories=Game;
+Icon=tome
diff --git a/games/tome-ah/tome-ah.info b/games/tome-ah/tome-ah.info
new file mode 100644
index 0000000000..c2996641c3
--- /dev/null
+++ b/games/tome-ah/tome-ah.info
@@ -0,0 +1,10 @@
+PRGNAM="tome-ah"
+VERSION="2.3.11_ah"
+HOMEPAGE="http://github.com/tome2/"
+DOWNLOAD="https://github.com/tome2/tome2/archive/v2.3.11-ah/tome2-2.3.11-ah.tar.gz"
+MD5SUM="04b83e91f1b31a39a1585f07ef7d6acf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
diff --git a/games/tome-ah/tome.png b/games/tome-ah/tome.png
new file mode 100644
index 0000000000..ee931a91ee
--- /dev/null
+++ b/games/tome-ah/tome.png
Binary files differ
diff --git a/games/tome-ah/tome.sh b/games/tome-ah/tome.sh
new file mode 100644
index 0000000000..d71e45b553
--- /dev/null
+++ b/games/tome-ah/tome.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+USERDIR=$(pwd)
+GAMES_TOME=/usr/share/games/tome-ah/bin
+cd $GAMES_TOME
+exec ${GAMES_TOME}/tome "$@"
+cd $USERDIR